Subject: bug#29377: date/time of "ls -lh" translation is wrong for Simplified Chinese

From: Eric Blake <[email-masked]>
Date: Tue, 21 Nov 2017 06:36:45 -0600

tag 29377 notabug
thanks

On 11/20/2017 11:55 PM, Peng Wu wrote:
> Hi,
> 
> Currently the output of "ls -lh" for Simplified Chinese misses the "日"
> character for the date.
> 
> It displays date as "11月 21", but in Simplified Chinese it should display
> "11月 21日".
> 
> Maybe it also happens with Traditional Chinese and Japanese.
> 
> After checked with gnome desktop translation, I wrote one patch.
> URL:
> https://l10n.gnome.org/POT/gnome-desktop.master/gnome-desktop.master.zh_CN.po

Thanks for the report and the patch.  The translations for coreutils are
maintained by the translation project, and not upstream coreutils
proper; so I'm closing this bug in the coreutils database (once the
translation project includes your patch, coreutils will automatically
pick it up on the next release).  Meanwhile, your patch should be sent
to the Language-Team: mentioned in zh_CN.po (which I've cc'd) (see also
the X-Bugs: tag in that file, as well as the translation of the "Report
bugs to:" string that appears in localized 'date --help').

> 
> In the attachment, the patch add the "日" character.
> 
> Thanks,
>   Peng Wu
> 

-- 
Eric Blake, Principal Software Engineer
Red Hat, Inc.           +1-919-301-3266
Virtualization:  qemu.org | libvirt.org